package eu.ibacz.swsc.spring.di.testdependencyinjection.service.impl;

import eu.ibacz.swsc.spring.di.testdependencyinjection.dao.impl.PureJdbcCustomerDaoImpl;
import eu.ibacz.swsc.spring.di.testdependencyinjection.dto.Customer;
import eu.ibacz.swsc.spring.di.testdependencyinjection.service.BankService;
import java.util.List;

import javax.sql.DataSource;
import org.springframework.beans.factory.annotation.Required;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


@Service
@Transactional
public class BankServiceImpl implements BankService {
       
    private DataSource dataSource;

    @Required
    public void setDataSource(DataSource dataSource) {
        this.dataSource = dataSource;
    }

    public List<Customer> getAllCustomers() {
        PureJdbcCustomerDaoImpl dao = new PureJdbcCustomerDaoImpl();
        dao.setDataSource(dataSource);
        return dao.findAll();
    }

    public Customer createNewCustomer(String firstname, String lastname) {
        Customer customer = new Customer();
        customer.setFirstname(firstname);
        customer.setLastname(lastname);
        PureJdbcCustomerDaoImpl dao = new PureJdbcCustomerDaoImpl();
        dao.setDataSource(dataSource);
        dao.save(customer);
        return customer;
    }
  
    
}
